hdu 2192 MagicBuilding

Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)
Total Submission(s): 2418    Accepted Submission(s):
1088

Problem Description

As the increase of population, the living space for
people is becoming smaller and smaller. In MagicStar the problem is much worse.
Dr. Mathematica is trying to save land by clustering buildings and then we call
the set of buildings MagicBuilding. Now we can treat the buildings as a square
of size d, and the height doesn‘t matter. Buildings of d1,d2,d3....dn can be
clustered into one MagicBuilding if they satisfy di != dj(i != j).
Given a
series of buildings size , you need to calculate the minimal numbers of
MagicBuildings that can be made. Note that one building can also be considered
as a MagicBuilding.
Suppose there are five buildings : 1, 2, 2, 3, 3. We make
three MagicBuildings (1,3), (2,3), (2) .And we can also make two MagicBuilding
:(1,2,3), (2,3). There is at least two MagicBuildings obviously.

Input

The first line of the input is a single number t,
indicating the number of test cases.
Each test case starts by n (1≤n≤10^4) in
a line indicating the number of buildings. Next n positive numbers (less than
2^31) will be the size of the buildings.

Output

For each test case , output a number perline, meaning
the minimal number of the MagicBuilding that can be made.

Sample Input

2
1
2
5
1 2 2 3 3

Sample Output

1
2

Author

scnu

Recommend

题目大意 :

高度不同的可以合并为一个楼,问最少能合并成多少楼

简单模拟

屠龙宝刀点击就送

#include <algorithm>
#include <cstdio>

using namespace std;
int maxn,ans,t,n,buil[10005];
int main()
{
    scanf("%d",&t);
    for(;t--;)
    {
        maxn=ans=1;
        scanf("%d",&n);
        for(int i=1;i<=n;i++)
            scanf("%d",&buil[i]);
        sort(buil+1,buil+1+n);
        for(int i=2;i<=n;i++)
        {
            if(buil[i]==buil[i-1])
                ans++;
            else
            {
                if(ans>maxn) maxn=ans;
                ans=1;
            }
        }
        if(ans>maxn) maxn=ans;
        printf("%d\n",maxn);
    }
    return 0;
}
时间: 2024-10-29 19:09:48

hdu 2192 MagicBuilding的相关文章

hdu 2192 MagicBuilding(简单的水题,sort排序)

MagicBuilding Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Total Submission(s): 1314    Accepted Submission(s): 599 Problem Description As the increase of population, the living space for people is becoming smal

HDOJ(HDU) 2192 MagicBuilding(用Java的Map做了下)

Problem Description As the increase of population, the living space for people is becoming smaller and smaller. In MagicStar the problem is much worse. Dr. Mathematica is trying to save land by clustering buildings and then we call the set of buildin

POJ 2192 &amp;&amp; HDU 1501 Zipper (记忆化搜索)

Zipper Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 16803   Accepted: 5994 Description Given three strings, you are to determine whether the third string can be formed by combining the characters in the first two strings. The first tw

HDU分类

模拟题, 枚举 1002 1004 1013 1015 1017 1020 1022 1029 1031 1033 1034 1035 1036 1037 1039 1042 1047 1048 1049 1050 1057 1062 1063 1064 1070 1073 1075 1082 1083 1084 1088 1106 1107 1113 1117 1119 1128 1129 1144 1148 1157 1161 1170 1172 1177 1197 1200 1201 12

转载:hdu 题目分类 (侵删)

转载:from http://blog.csdn.net/qq_28236309/article/details/47818349 基础题:1000.1001.1004.1005.1008.1012.1013.1014.1017.1019.1021.1028.1029. 1032.1037.1040.1048.1056.1058.1061.1070.1076.1089.1090.1091.1092.1093. 1094.1095.1096.1097.1098.1106.1108.1157.116

HDU——PKU题目分类

HDU 模拟题, 枚举1002 1004 1013 1015 1017 1020 1022 1029 1031 1033 1034 1035 1036 1037 1039 1042 1047 1048 1049 1050 1057 1062 1063 1064 1070 1073 1075 1082 1083 1084 1088 1106 1107 1113 1117 1119 1128 1129 1144 1148 1157 1161 1170 1172 1177 1197 1200 1201

华农oj 2192: hzk又在打人【CRT合并/待补】

2192: hzk又在打人 Time Limit: 12 Sec Memory Limit: 512 MB Submit: 52 Solved: 1 [Submit][Status][Web Board] Description hzk又要打人了,他让我们做一个cpu能够计算一些简单的指令,首先他有n条指令,指令形如"c x",其中c ={+,^,*},x是一个非负整数. + a , * a , ^ a分别代表加,乘,乘方.假设我们现在有+ 2 , * 3, ^ 2 三个指令那么对于输

HDU 6203 ping ping ping [LCA,贪心,DFS序,BIT(树状数组)]

题目链接:[http://acm.hdu.edu.cn/showproblem.php?pid=6203] 题意 :给出一棵树,如果(a,b)路径上有坏点,那么(a,b)之间不联通,给出一些不联通的点对,然后判断最少有多少个坏点. 题解 :求每个点对的LCA,然后根据LCA的深度排序.从LCA最深的点对开始,如果a或者b点已经有点被标记了,那么continue,否者标记(a,b)LCA的子树每个顶点加1. #include<Bits/stdc++.h> using namespace std;

HDU 5542 The Battle of Chibi dp+树状数组

题目:http://acm.hdu.edu.cn/showproblem.php?pid=5542 题意:给你n个数,求其中上升子序列长度为m的个数 可以考虑用dp[i][j]表示以a[i]结尾的长度为j的上升子序列有多少 裸的dp是o(n2m) 所以需要优化 我们可以发现dp的第3维是找比它小的数,那么就可以用树状数组来找 这样就可以降低复杂度 #include<iostream> #include<cstdio> #include<cstring> #include